Bug 973411 - mod_auth_form loses POST request body before login page can be created
mod_auth_form loses POST request body before login page can be created
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 17:32 EDT by David Mansfield
Modified: 2014-02-05 16:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:46:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
works- (1.64 KB, patch)
2013-06-11 17:33 EDT, David Mansfield
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache Bugzilla 53692 None None None Never

  None (edit)
Description David Mansfield 2013-06-11 17:32:17 EDT
Description of problem:

When attempting to use "Inline Login with Body Preservation" (when a POST to a 
protected resource is intercepted with a login page, and then the POST is resent to the resource after the login page is submitted), the original POST body of the first request is dropped by apache.

This is an upstream bug, and I would not normally do this, but all attempts to get the httpd team to pay any attention to the bug (and the proposed fix) have failed.

I have put a test case in the upstream bug, a proposed fix, and sent numerous requests for help to the mailing lists etc. All to no avail.

There is a "unverified" fix available (made by be) in the upstream bug, but I don't have the apache internals expertise to verify it doesn't break something, but it works for me.

I use RHEL and Fedora, so I don't really care if upstream gets fixed (well, not true, but I did really try).

Upstream bug: https://issues.apache.org/bugzilla/show_bug.cgi?id=53692

Version-Release number of selected component (if applicable):
httpd-2.4.4-3.fc18.x86_64


How reproducible:
Always.

Steps to Reproduce:
1. use the test case in the upstream bug.
2.
3.

Actual results:
POST is dropped, and coverted to a GET.

Expected results:
POST body is available to login.cgi (or whatever is rendering the login page).

Additional info:
Comment 1 David Mansfield 2013-06-11 17:33:09 EDT
Created attachment 759870 [details]
works-
Comment 2 Fedora End Of Life 2013-12-21 08:58:11 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 16:46:51 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.